| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Slots | Signals | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
RtpStreamDialog Class Reference

Singleton dialog for viewing and managing RTP streams. Singleton pattern based on https://refactoring.guru/design-patterns/singleton/cpp/example#example-1. More...

`#include <rtp_stream_dialog.h>`

Inheritance diagram for RtpStreamDialog:

## Public Slots
void | rtpPlayerReplace ()
| Slot to trigger replacing streams in the player.
void | rtpPlayerAdd ()
| Slot to trigger adding streams to the player.
void | rtpPlayerRemove ()
| Slot to trigger removing streams from the player.

## Signals
void | packetsMarked ()
| Signal emitted when packets are marked.
void | updateFilter (QString filter, bool force=false)
| Signal emitted to update the display filter.
void | goToPacket (int packet_num)
| Signal emitted to navigate to a specific packet.
void | rtpPlayerDialogReplaceRtpStreams (QVector< rtpstream_id_t * > stream_ids)
| Signal emitted to request replacing streams in the RTP Player.
void | rtpPlayerDialogAddRtpStreams (QVector< rtpstream_id_t * > stream_ids)
| Signal emitted to request adding streams to the RTP Player.
void | rtpPlayerDialogRemoveRtpStreams (QVector< rtpstream_id_t * > stream_ids)
| Signal emitted to request removing streams from the RTP Player.
void | rtpAnalysisDialogReplaceRtpStreams (QVector< rtpstream_id_t * > stream_infos)
| Signal emitted to request replacing streams in the RTP Analysis dialog.
void | rtpAnalysisDialogAddRtpStreams (QVector< rtpstream_id_t * > stream_infos)
| Signal emitted to request adding streams to the RTP Analysis dialog.
void | rtpAnalysisDialogRemoveRtpStreams (QVector< rtpstream_id_t * > stream_infos)
| Signal emitted to request removing streams from the RTP Analysis dialog.

## Public Member Functions
| RtpStreamDialog (RtpStreamDialog &other)=delete
| Should not be cloneable.
void | operator= (const RtpStreamDialog &)=delete
| Should not be assignable.
void | selectRtpStream (QVector< rtpstream_id_t * > stream_ids)
| Selects specific RTP streams. Caller must provide ids which are immutable to recap.
void | deselectRtpStream (QVector< rtpstream_id_t * > stream_ids)
| Deselects specific RTP streams. Caller must provide ids which are immutable to recap.
Public Member Functions inherited from WiresharkDialog
| WiresharkDialog (QWidget &parent, CaptureFile &capture_file)
| Constructs a new WiresharkDialog object.
bool | fileClosed () const
| Checks if the capture file has been closed.
Public Member Functions inherited from GeometryStateDialog
| GeometryStateDialog (QWidget *parent, Qt::WindowFlags f=Qt::Window)
| Constructs a new GeometryStateDialog with the specified parent and window flags.
| ~GeometryStateDialog ()
| Save the geometry and splitter state and then destroy the GeometryStateDialog.
void | setWindowModality (Qt::WindowModality windowModality)
| Sets the window modality for the dialog. On non-macOS platforms, this also sets the parent to ensure modal dialogs are always on top of their parent.

## Static Public Member Functions
static RtpStreamDialog * | openRtpStreamDialog (QWidget &parent, CaptureFile &cf, QObject *packet_list)
| Opens or retrieves the singleton instance of the RTP Stream Dialog.

## Protected Member Functions
| RtpStreamDialog (QWidget &parent, CaptureFile &cf)
| Constructs an RtpStreamDialog. Protected to enforce singleton pattern.
| ~RtpStreamDialog ()
| Destroys the RtpStreamDialog.
bool | eventFilter (QObject *obj, QEvent *event) override
| Event filter for intercepting events from child widgets.
void | captureFileClosing () override
| Handles operations before the capture file finishes closing.
void | captureFileClosed () override
| Handles cleanup after the capture file is fully closed.
Protected Member Functions inherited from RtpBaseDialog
| RtpBaseDialog (QWidget &parent, CaptureFile &cf)
| Constructs an RtpBaseDialog.
Protected Member Functions inherited from WiresharkDialog
virtual void | keyPressEvent (QKeyEvent *event) override
| Handles key press events.
virtual void | accept () override
| Accepts the dialog.
virtual void | reject () override
| Rejects the dialog.
virtual void | beginRetapPackets ()
| Mark the start of a code block that retaps packets. If the user closes the dialog while tapping, the dialog will not be destroyed until endRetapPackets is called.
virtual void | endRetapPackets ()
| Mark the end of a code block that retaps packets. If the user has closed the dialog it will be destroyed at this point.
void | setWindowSubtitle (const QString &subtitle)
| Set the window subtitle, e.g. "Foo Timeouts". The subtitle and file name will be added to the dialog window title.
const QString & | windowSubtitle ()
| Retrieves the current window subtitle.
bool | registerTapListener (const char *tap_name, void *tap_data, const char *filter, unsigned flags, tap_reset_cb tap_reset, tap_packet_cb tap_packet, tap_draw_cb tap_draw)
| Convenience wrapper for register_tap_listener. Tap listeners registered via this function are automatically removed during destruction. They can also be explicitly removed using remove_tap_listener or removeTapListeners.
virtual void | removeTapListeners ()
| Remove all tap listeners registered via registerTapListener.
bool | listening () const
bool | dialogClosed () const
| Check to see if the user has closed (and not minimized) the dialog.
int | retapDepth () const
| Check to see if we're currently retapping. If this is positive, tapping will fail in process_specified_records.
Protected Member Functions inherited from GeometryStateDialog
void | loadGeometry (int width=0, int height=0, const QString &dialog_name=QString())
| Loads the geometry and splitter state for the dialog.
void | loadSplitterState (QSplitter *splitter=nullptr)
| Loads the state of a splitter for the dialog.

## Additional Inherited Members
Protected Slots inherited from WiresharkDialog
void | captureEvent (CaptureEvent e)
| Handles capture events.
Protected Attributes inherited from WiresharkDialog
CaptureFile & | cap_file_
| Reference to the underlying capture file.
bool | file_closed_
| Flag indicating if the capture file has been closed.

## Detailed Description

Singleton dialog for viewing and managing RTP streams. Singleton pattern based on https://refactoring.guru/design-patterns/singleton/cpp/example#example-1.

## Constructor & Destructor Documentation

## ◆ RtpStreamDialog()

RtpStreamDialog::RtpStreamDialog | ( | QWidget & | parent,
|  | CaptureFile & | cf )
| explicit protected

Constructs an RtpStreamDialog. Protected to enforce singleton pattern.

Parameters

  parent | The parent widget.
  cf | The associated capture file.

## Member Function Documentation

## ◆ captureFileClosed()

void RtpStreamDialog::captureFileClosed | ( |  | ) |
| override protected virtual

Handles cleanup after the capture file is fully closed.

Reimplemented from WiresharkDialog.

## ◆ captureFileClosing()

void RtpStreamDialog::captureFileClosing | ( |  | ) |
| override protected virtual

Handles operations before the capture file finishes closing.

Reimplemented from WiresharkDialog.

## ◆ deselectRtpStream()

void RtpStreamDialog::deselectRtpStream | ( | QVector< rtpstream_id_t * > | stream_ids | ) |

Deselects specific RTP streams. Caller must provide ids which are immutable to recap.

Parameters

  stream_ids | A vector of RTP stream IDs to deselect.

## ◆ eventFilter()

bool RtpStreamDialog::eventFilter | ( | QObject * | obj,
|  | QEvent * | event )
| override protected

Event filter for intercepting events from child widgets.

Parameters

  obj | The watched object.
  event | The intercepted event.

Returns
  True if the event was handled, false otherwise.

## ◆ goToPacket

void RtpStreamDialog::goToPacket | ( | int | packet_num | ) |
| signal

Signal emitted to navigate to a specific packet.

Parameters

  packet_num | The packet number.

## ◆ openRtpStreamDialog()

RtpStreamDialog * RtpStreamDialog::openRtpStreamDialog | ( | QWidget & | parent,
|  | CaptureFile & | cf,
|  | QObject * | packet_list )
| static

Opens or retrieves the singleton instance of the RTP Stream Dialog.

Parameters

  parent | The parent widget.
  cf | The capture file.
  packet_list | Pointer to the packet list object.

Returns
  Pointer to the singleton RtpStreamDialog instance.

## ◆ rtpAnalysisDialogAddRtpStreams

void RtpStreamDialog::rtpAnalysisDialogAddRtpStreams | ( | QVector< rtpstream_id_t * > | stream_infos | ) |
| signal

Signal emitted to request adding streams to the RTP Analysis dialog.

Parameters

  stream_infos | The stream IDs to add.

## ◆ rtpAnalysisDialogRemoveRtpStreams

void RtpStreamDialog::rtpAnalysisDialogRemoveRtpStreams | ( | QVector< rtpstream_id_t * > | stream_infos | ) |
| signal

Signal emitted to request removing streams from the RTP Analysis dialog.

Parameters

  stream_infos | The stream IDs to remove.

## ◆ rtpAnalysisDialogReplaceRtpStreams

void RtpStreamDialog::rtpAnalysisDialogReplaceRtpStreams | ( | QVector< rtpstream_id_t * > | stream_infos | ) |
| signal

Signal emitted to request replacing streams in the RTP Analysis dialog.

Parameters

  stream_infos | The stream IDs to replace.

## ◆ rtpPlayerDialogAddRtpStreams

void RtpStreamDialog::rtpPlayerDialogAddRtpStreams | ( | QVector< rtpstream_id_t * > | stream_ids | ) |
| signal

Signal emitted to request adding streams to the RTP Player.

Parameters

  stream_ids | The stream IDs to add.

## ◆ rtpPlayerDialogRemoveRtpStreams

void RtpStreamDialog::rtpPlayerDialogRemoveRtpStreams | ( | QVector< rtpstream_id_t * > | stream_ids | ) |
| signal

Signal emitted to request removing streams from the RTP Player.

Parameters

  stream_ids | The stream IDs to remove.

## ◆ rtpPlayerDialogReplaceRtpStreams

void RtpStreamDialog::rtpPlayerDialogReplaceRtpStreams | ( | QVector< rtpstream_id_t * > | stream_ids | ) |
| signal

Signal emitted to request replacing streams in the RTP Player.

Parameters

  stream_ids | The stream IDs to replace.

## ◆ selectRtpStream()

void RtpStreamDialog::selectRtpStream | ( | QVector< rtpstream_id_t * > | stream_ids | ) |

Selects specific RTP streams. Caller must provide ids which are immutable to recap.

Parameters

  stream_ids | A vector of RTP stream IDs to select.

## ◆ updateFilter

void RtpStreamDialog::updateFilter | ( | QString | filter,
|  | bool | force = false )
| signal

Signal emitted to update the display filter.

Parameters

  filter | The new filter string.
  force | True to force the update.

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/qt/rtp_stream_dialog.h
- /builds/wireshark/wireshark/ui/qt/rtp_stream_dialog.cpp